Index: squid/src/neighbors.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/neighbors.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/neighbors.c	6 Jan 2001 12:40:14 -0000	1.1.1.3.4.1.2.1
+++ squid/src/neighbors.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: neighbors.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:14 hno Exp $
+ * $Id: neighbors.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 15    Neighbor Routines
  * AUTHOR: Harvest Derived
@@ -97,8 +96,7 @@
     return NULL;
 }
 
-peer_t
-neighborType(const peer * p, const request_t * request)
+peer_t neighborType(const peer * p, const request_t * request)
 {
     const struct _domain_type *d = NULL;
     for (d = p->typelist; d; d = d->next) {
@@ -349,8 +347,7 @@
     }
     first_ping = Config.peers;
     cachemgrRegister("server_list",
-	"Peer Cache Statistics",
-	neighborDumpPeers, 0, 1);
+	"Peer Cache Statistics", neighborDumpPeers, 0, 1);
     cachemgrRegister("non_peers",
 	"List of Unknown sites sending ICP messages",
 	neighborDumpNonPeers, 0, 1);
@@ -359,10 +356,7 @@
 int
 neighborsUdpPing(request_t * request,
     StoreEntry * entry,
-    IRCB * callback,
-    void *callback_data,
-    int *exprep,
-    int *timeout)
+    IRCB * callback, void *callback_data, int *exprep, int *timeout)
 {
     const char *url = storeUrl(entry);
     MemObject *mem = entry->mem_obj;
@@ -395,7 +389,8 @@
 	    p->host, url);
 	if (p->type == PEER_MULTICAST)
 	    mcastSetTtl(theOutIcpConnection, p->mcast.ttl);
-	debug(15, 3) ("neighborsUdpPing: key = '%s'\n", storeKeyText(entry->key));
+	debug(15, 3) ("neighborsUdpPing: key = '%s'\n",
+	    storeKeyText(entry->key));
 	debug(15, 3) ("neighborsUdpPing: reqnum = %d\n", reqnum);
 
 #if USE_HTCP
@@ -405,14 +400,12 @@
 	} else
 #endif
 	if (p->icp.port == echo_port) {
-	    debug(15, 4) ("neighborsUdpPing: Looks like a dumb cache, send DECHO ping\n");
+	    debug(15, 4)
+		("neighborsUdpPing: Looks like a dumb cache, send DECHO ping\n");
 	    echo_hdr.reqnum = reqnum;
 	    query = icpCreateMessage(ICP_DECHO, 0, url, reqnum, 0);
 	    icpUdpSend(theOutIcpConnection,
-		&p->in_addr,
-		query,
-		LOG_ICP_QUERY,
-		0);
+		&p->in_addr, query, LOG_ICP_QUERY, 0);
 	} else {
 	    flags = 0;
 	    if (Config.onoff.query_icmp)
@@ -420,10 +413,7 @@
 		    flags |= ICP_FLAG_SRC_RTT;
 	    query = icpCreateMessage(ICP_QUERY, flags, url, reqnum, 0);
 	    icpUdpSend(theOutIcpConnection,
-		&p->in_addr,
-		query,
-		LOG_ICP_QUERY,
-		0);
+		&p->in_addr, query, LOG_ICP_QUERY, 0);
 	}
 	queries_sent++;
 
@@ -435,7 +425,8 @@
 	     */
 	    p->stats.last_reply = squid_curtime;
 	    (*exprep) += p->mcast.n_replies_expected;
-	} else if (squid_curtime - p->stats.last_query > Config.Timeout.deadPeer) {
+	} else if (squid_curtime - p->stats.last_query >
+	    Config.Timeout.deadPeer) {
 	    /*
 	     * fake a recent reply if its been a long time since our
 	     * last query
@@ -462,8 +453,7 @@
 	    /* log it once at the threshold */
 	    if (p->stats.logged_state == PEER_ALIVE) {
 		debug(15, 1) ("Detected DEAD %s: %s/%d/%d\n",
-		    neighborTypeStr(p),
-		    p->host, p->http_port, p->icp.port);
+		    neighborTypeStr(p), p->host, p->http_port, p->icp.port);
 		p->stats.logged_state = PEER_DEAD;
 	    }
 	}
@@ -492,10 +482,7 @@
 		to_addr.sin_port = htons(echo_port);
 		query = icpCreateMessage(ICP_SECHO, 0, url, reqnum, 0);
 		icpUdpSend(theOutIcpConnection,
-		    &to_addr,
-		    query,
-		    LOG_ICP_QUERY,
-		    0);
+		    &to_addr, query, LOG_ICP_QUERY, 0);
 	    }
 	} else {
 	    debug(15, 6) ("neighborsUdpPing: Source Ping: unknown host: %s\n",
@@ -521,11 +508,11 @@
 }
 
 /* lookup the digest of a given peer */
-lookup_t
-peerDigestLookup(peer * p, request_t * request, StoreEntry * entry)
+lookup_t peerDigestLookup(peer * p, request_t * request, StoreEntry * entry)
 {
 #if USE_CACHE_DIGESTS
-    const cache_key *key = request ? storeKeyPublic(storeUrl(entry), request->method) : NULL;
+    const cache_key *key =
+	request ? storeKeyPublic(storeUrl(entry), request->method) : NULL;
     assert(p);
     assert(request);
     debug(15, 5) ("peerDigestLookup: peer %s\n", p->host);
@@ -629,8 +616,7 @@
 {
     if (p->stats.logged_state == PEER_DEAD && p->tcp_up) {
 	debug(15, 1) ("Detected REVIVED %s: %s/%d/%d\n",
-	    neighborTypeStr(p),
-	    p->host, p->http_port, p->icp.port);
+	    neighborTypeStr(p), p->host, p->http_port, p->icp.port);
 	p->stats.logged_state = PEER_ALIVE;
     }
     p->stats.last_reply = squid_curtime;
@@ -661,8 +647,7 @@
 {
     if (p->stats.logged_state == PEER_DEAD && p->tcp_up) {
 	debug(15, 1) ("Detected REVIVED %s: %s/%d/%d\n",
-	    neighborTypeStr(p),
-	    p->host, p->http_port, p->icp.port);
+	    neighborTypeStr(p), p->host, p->http_port, p->icp.port);
 	p->stats.logged_state = PEER_ALIVE;
     }
     p->stats.last_reply = squid_curtime;
@@ -739,7 +724,8 @@
  * If a hit process is already started, then sobeit
  */
 void
-neighborsUdpAck(const cache_key * key, icp_common_t * header, const struct sockaddr_in *from)
+neighborsUdpAck(const cache_key * key, icp_common_t * header,
+    const struct sockaddr_in *from)
 {
     peer *p = NULL;
     StoreEntry *entry;
@@ -802,14 +788,16 @@
 	if (p == NULL) {
 	    neighborIgnoreNonPeer(from, opcode);
 	} else {
-	    mem->ping_reply_callback(p, ntype, PROTO_ICP, header, mem->ircb_data);
+	    mem->ping_reply_callback(p, ntype, PROTO_ICP, header,
+		mem->ircb_data);
 	}
     } else if (opcode == ICP_HIT) {
 	if (p == NULL) {
 	    neighborIgnoreNonPeer(from, opcode);
 	} else {
 	    header->opcode = ICP_HIT;
-	    mem->ping_reply_callback(p, ntype, PROTO_ICP, header, mem->ircb_data);
+	    mem->ping_reply_callback(p, ntype, PROTO_ICP, header,
+		mem->ircb_data);
 	}
     } else if (opcode == ICP_DECHO) {
 	if (p == NULL) {
@@ -818,7 +806,8 @@
 	    debug_trap("neighborsUdpAck: Found non-ICP cache as SIBLING\n");
 	    debug_trap("neighborsUdpAck: non-ICP neighbors must be a PARENT\n");
 	} else {
-	    mem->ping_reply_callback(p, ntype, PROTO_ICP, header, mem->ircb_data);
+	    mem->ping_reply_callback(p, ntype, PROTO_ICP, header,
+		mem->ircb_data);
 	}
     } else if (opcode == ICP_SECHO) {
 	if (p) {
@@ -826,18 +815,23 @@
 	    neighborCountIgnored(p);
 #if ALLOW_SOURCE_PING
 	} else if (Config.onoff.source_ping) {
-	    mem->ping_reply_callback(NULL, ntype, PROTO_ICP, header, mem->ircb_data);
+	    mem->ping_reply_callback(NULL, ntype, PROTO_ICP, header,
+		mem->ircb_data);
 #endif
 	} else {
-	    debug(15, 1) ("Unsolicited SECHO from %s\n", inet_ntoa(from->sin_addr));
+	    debug(15, 1) ("Unsolicited SECHO from %s\n",
+		inet_ntoa(from->sin_addr));
 	}
     } else if (opcode == ICP_DENIED) {
 	if (p == NULL) {
 	    neighborIgnoreNonPeer(from, opcode);
 	} else if (p->stats.pings_acked > 100) {
 	    if (100 * p->icp.counts[ICP_DENIED] / p->stats.pings_acked > 95) {
-		debug(15, 0) ("95%% of replies from '%s' are UDP_DENIED\n", p->host);
-		debug(15, 0) ("Disabling '%s', please check your configuration.\n", p->host);
+		debug(15, 0) ("95%% of replies from '%s' are UDP_DENIED\n",
+		    p->host);
+		debug(15,
+		    0) ("Disabling '%s', please check your configuration.\n",
+		    p->host);
 		neighborRemove(p);
 		p = NULL;
 	    } else {
@@ -947,7 +941,8 @@
     }
     for (j = 0; j < (int) ia->count && j < PEER_MAX_ADDRESSES; j++) {
 	p->addresses[j] = ia->in_addrs[j];
-	debug(15, 2) ("--> IP address #%d: %s\n", j, inet_ntoa(p->addresses[j]));
+	debug(15, 2) ("--> IP address #%d: %s\n", j,
+	    inet_ntoa(p->addresses[j]));
 	p->n_addresses++;
     }
     ap = &p->in_addr;
@@ -988,13 +983,8 @@
 {
     peer *p = data;
     int fd;
-#ifdef _SQUID_MSWIN_
-    fd = comm_open(SOCK_STREAM, IPPROTO_TCP, Config.Addrs.tcp_outgoing,
-	0, COMM_NONBLOCKING, p->host);
-#else
-    fd = comm_open(SOCK_STREAM, 0, Config.Addrs.tcp_outgoing,
-	0, COMM_NONBLOCKING, p->host);
-#endif
+    fd = comm_open(SOCK_STREAM, 0, Config.Addrs.tcp_outgoing, 0,
+	COMM_NONBLOCKING, p->host);
     if (fd < 0)
 	return;
     p->test_fd = fd;
@@ -1006,10 +996,7 @@
 {
     peer *p = data;
     commConnectStart(p->test_fd,
-	p->host,
-	p->http_port,
-	peerCheckConnectDone,
-	p);
+	p->host, p->http_port, peerCheckConnectDone, p);
 }
 
 static void
@@ -1046,9 +1033,7 @@
     if (p->mcast.flags.count_event_pending)
 	return;
     eventAdd("peerCountMcastPeersStart",
-	peerCountMcastPeersStart,
-	p,
-	(double) when, 1);
+	peerCountMcastPeersStart, p, (double) when, 1);
     p->mcast.flags.count_event_pending = 1;
 }
 
@@ -1081,16 +1066,11 @@
     p->mcast.id = mem->id;
     reqnum = icpSetCacheKey(fake->key);
     query = icpCreateMessage(ICP_QUERY, 0, url, reqnum, 0);
-    icpUdpSend(theOutIcpConnection,
-	&p->in_addr,
-	query,
-	LOG_ICP_QUERY,
-	0);
+    icpUdpSend(theOutIcpConnection, &p->in_addr, query, LOG_ICP_QUERY, 0);
     fake->ping_status = PING_WAITING;
     eventAdd("peerCountMcastPeersDone",
 	peerCountMcastPeersDone,
-	psstate,
-	(double) Config.Timeout.mcast_icp_query, 1);
+	psstate, (double) Config.Timeout.mcast_icp_query, 1);
     p->mcast.flags.counting = 1;
     peerCountMcastPeersSchedule(p, MCAST_COUNT_RATE);
 }
@@ -1103,14 +1083,9 @@
     StoreEntry *fake = psstate->entry;
     p->mcast.flags.counting = 0;
     p->mcast.avg_n_members = doubleAverage(p->mcast.avg_n_members,
-	(double) psstate->ping.n_recv,
-	++p->mcast.n_times_counted,
-	10);
+	(double) psstate->ping.n_recv, ++p->mcast.n_times_counted, 10);
     debug(15, 1) ("Group %s: %d replies, %4.1f average, RTT %d\n",
-	p->host,
-	psstate->ping.n_recv,
-	p->mcast.avg_n_members,
-	p->stats.rtt);
+	p->host, psstate->ping.n_recv, p->mcast.avg_n_members, p->stats.rtt);
     p->mcast.n_replies_expected = (int) p->mcast.avg_n_members;
     EBIT_SET(fake->flags, ENTRY_ABORTED);
     requestUnlink(fake->mem_obj->request);
@@ -1122,7 +1097,8 @@
 }
 
 static void
-peerCountHandleIcpReply(peer * p, peer_t type, protocol_t proto, void *hdrnotused, void *data)
+peerCountHandleIcpReply(peer * p, peer_t type, protocol_t proto,
+    void *hdrnotused, void *data)
 {
     ps_state *psstate = data;
     StoreEntry *fake = psstate->entry;
@@ -1132,7 +1108,8 @@
     assert(fake);
     assert(mem);
     psstate->ping.n_recv++;
-    p->stats.rtt = intAverage(p->stats.rtt, rtt, psstate->ping.n_recv, RTT_AV_FACTOR);
+    p->stats.rtt =
+	intAverage(p->stats.rtt, rtt, psstate->ping.n_recv, RTT_AV_FACTOR);
 }
 
 static void
@@ -1193,10 +1170,7 @@
     for (e = peers; e; e = e->next) {
 	assert(e->host != NULL);
 	storeAppendPrintf(sentry, "\n%-11.11s: %s/%d/%d\n",
-	    neighborTypeStr(e),
-	    e->host,
-	    e->http_port,
-	    e->icp.port);
+	    neighborTypeStr(e), e->host, e->http_port, e->icp.port);
 	storeAppendPrintf(sentry, "Flags      :");
 	dump_peer_options(sentry, e);
 	for (i = 0; i < e->n_addresses; i++) {
@@ -1215,8 +1189,7 @@
 	    e->stats.pings_acked,
 	    percent(e->stats.pings_acked, e->stats.pings_sent));
 	storeAppendPrintf(sentry, "FETCHES    : %8d %3d%%\n",
-	    e->stats.fetches,
-	    percent(e->stats.fetches, e->stats.pings_acked));
+	    e->stats.fetches, percent(e->stats.fetches, e->stats.pings_acked));
 	storeAppendPrintf(sentry, "IGNORED    : %8d %3d%%\n",
 	    e->stats.ignored_replies,
 	    percent(e->stats.ignored_replies, e->stats.pings_acked));
@@ -1261,7 +1234,8 @@
 
 #if USE_HTCP
 void
-neighborsHtcpReply(const cache_key * key, htcpReplyData * htcp, const struct sockaddr_in *from)
+neighborsHtcpReply(const cache_key * key, htcpReplyData * htcp,
+    const struct sockaddr_in *from)
 {
     StoreEntry *e = storeGet(key);
     MemObject *mem = NULL;
Index: squid/src/net_db.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/net_db.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/net_db.c	6 Jan 2001 12:40:14 -0000	1.1.1.3.4.1.2.1
+++ squid/src/net_db.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: net_db.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:14 hno Exp $
+ * $Id: net_db.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 38    Network Measurement Database
  * AUTHOR: Duane Wessels
@@ -37,7 +36,8 @@
 
 #if USE_ICMP
 
-typedef struct {
+typedef struct
+{
     peer *p;
     StoreEntry *e;
     request_t *r;
@@ -45,7 +45,8 @@
     off_t used;
     size_t buf_sz;
     char *buf;
-} netdbExchangeState;
+}
+netdbExchangeState;
 
 static hash_table *addr_table = NULL;
 static hash_table *host_table = NULL;
@@ -183,10 +184,7 @@
 	*(list + list_count) = n;
 	list_count++;
     }
-    qsort((char *) list,
-	list_count,
-	sizeof(netdbEntry *),
-	netdbLRU);
+    qsort((char *) list, list_count, sizeof(netdbEntry *), netdbLRU);
     for (k = 0; k < list_count; k++) {
 	if (memInUse(MEM_NETDBENTRY) < Config.Netdb.low)
 	    break;
@@ -246,7 +244,8 @@
 	    hostname, n->network, na->network);
 	x = (net_db_name *) hash_lookup(host_table, hostname);
 	if (x == NULL) {
-	    debug(38, 1) ("netdbSendPing: net_db_name list bug: %s not found", hostname);
+	    debug(38, 1) ("netdbSendPing: net_db_name list bug: %s not found",
+		hostname);
 	    cbdataFree(hostname);
 	    return;
 	}
@@ -386,10 +385,7 @@
 	    n->network,
 	    n->pings_sent,
 	    n->pings_recv,
-	    n->hops,
-	    n->rtt,
-	    (int) n->next_ping_time,
-	    (int) n->last_use_time);
+	    n->hops, n->rtt, (int) n->next_ping_time, (int) n->last_use_time);
 	for (x = n->hosts; x; x = x->next)
 	    fprintf(fp, " %s", x->name);
 	fprintf(fp, "\n");
@@ -520,7 +516,8 @@
 	netdbExchangeDone(ex);
 	return;
     }
-    debug(38, 3) ("netdbExchangeHandleReply: for '%s:%d'\n", ex->p->host, ex->p->http_port);
+    debug(38, 3) ("netdbExchangeHandleReply: for '%s:%d'\n", ex->p->host,
+	ex->p->http_port);
     p = buf;
     if (0 == ex->used) {
 	/* skip reply headers */
@@ -570,7 +567,8 @@
 		hops = (double) ntohl(j) / 1000.0;
 		break;
 	    default:
-		debug(38, 1) ("netdbExchangeHandleReply: corrupt data, aborting\n");
+		debug(38,
+		    1) ("netdbExchangeHandleReply: corrupt data, aborting\n");
 		netdbExchangeDone(ex);
 		return;
 	    }
@@ -588,9 +586,13 @@
 	if (++nused == 20)
 	    break;
     }
-    debug(38, 3) ("netdbExchangeHandleReply: used %d entries, (x %d bytes) == %d bytes total\n",
+    debug(38, 3)
+
+	
+	("netdbExchangeHandleReply: used %d entries, (x %d bytes) == %d bytes total\n",
 	nused, rec_sz, nused * rec_sz);
-    debug(38, 3) ("netdbExchangeHandleReply: seen %d, used %d\n", ex->seen, ex->used);
+    debug(38, 3) ("netdbExchangeHandleReply: seen %d, used %d\n", ex->seen,
+	ex->used);
     if (EBIT_TEST(ex->e->flags, ENTRY_ABORTED)) {
 	debug(38, 3) ("netdbExchangeHandleReply: ENTRY_ABORTED\n");
 	netdbExchangeDone(ex);
@@ -638,9 +640,7 @@
     host_table = hash_create((HASHCMP *) strcmp, n, hash_string);
     eventAddIsh("netdbSaveState", netdbSaveState, NULL, 3600.0, 1);
     netdbReloadState();
-    cachemgrRegister("netdb",
-	"Network Measurement Database",
-	netdbDump, 0, 1);
+    cachemgrRegister("netdb", "Network Measurement Database", netdbDump, 0, 1);
 #endif
 }
 
@@ -677,9 +677,7 @@
     n->hops = ((n->hops * (N - 1)) + hops) / N;
     n->rtt = ((n->rtt * (N - 1)) + rtt) / N;
     debug(38, 3) ("netdbHandlePingReply: %s; rtt=%5.1f  hops=%4.1f\n",
-	n->network,
-	n->rtt,
-	n->hops);
+	n->network, n->rtt, n->hops);
 #endif
 }
 
@@ -724,11 +722,7 @@
     net_db_peer *p;
     storeAppendPrintf(sentry, "Network DB Statistics:\n");
     storeAppendPrintf(sentry, "%-16.16s %9s %7s %5s %s\n",
-	"Network",
-	"recv/sent",
-	"RTT",
-	"Hops",
-	"Hostnames");
+	"Network", "recv/sent", "RTT", "Hops", "Hostnames");
     list = xcalloc(memInUse(MEM_NETDBENTRY), sizeof(netdbEntry *));
     i = 0;
     hash_first(addr_table);
@@ -737,27 +731,18 @@
     if (i != memInUse(MEM_NETDBENTRY))
 	debug(38, 0) ("WARNING: netdb_addrs count off, found %d, expected %d\n",
 	    i, memInUse(MEM_NETDBENTRY));
-    qsort((char *) list,
-	i,
-	sizeof(netdbEntry *),
-	sortByRtt);
+    qsort((char *) list, i, sizeof(netdbEntry *), sortByRtt);
     for (k = 0; k < i; k++) {
 	n = *(list + k);
 	storeAppendPrintf(sentry, "%-16.16s %4d/%4d %7.1f %5.1f",
-	    n->network,
-	    n->pings_recv,
-	    n->pings_sent,
-	    n->rtt,
-	    n->hops);
+	    n->network, n->pings_recv, n->pings_sent, n->rtt, n->hops);
 	for (x = n->hosts; x; x = x->next)
 	    storeAppendPrintf(sentry, " %s", x->name);
 	storeAppendPrintf(sentry, "\n");
 	p = n->peers;
 	for (j = 0; j < n->n_peers; j++, p++) {
 	    storeAppendPrintf(sentry, "    %-22.22s %7.1f %5.1f\n",
-		p->peername,
-		p->rtt,
-		p->hops);
+		p->peername, p->rtt, p->hops);
 	}
     }
     xfree(list);
@@ -828,7 +813,8 @@
     double rtt = (double) irtt;
     double hops = (double) ihops;
     net_db_peer *p;
-    debug(38, 3) ("netdbUpdatePeer: '%s', %d hops, %d rtt\n", r->host, ihops, irtt);
+    debug(38, 3) ("netdbUpdatePeer: '%s', %d hops, %d rtt\n", r->host, ihops,
+	irtt);
     n = netdbLookupHost(r->host);
     if (n == NULL) {
 	debug(38, 3) ("netdbUpdatePeer: host '%s' not found\n", r->host);
@@ -841,10 +827,7 @@
     p->expires = squid_curtime + 3600;
     if (n->n_peers < 2)
 	return;
-    qsort((char *) n->peers,
-	n->n_peers,
-	sizeof(net_db_peer),
-	sortPeerByRtt);
+    qsort((char *) n->peers, n->n_peers, sizeof(net_db_peer), sortPeerByRtt);
 #endif
 }
 
@@ -867,10 +850,7 @@
     p->expires = squid_curtime + 3600;	/* XXX ? */
     if (n->n_peers < 2)
 	return;
-    qsort((char *) n->peers,
-	n->n_peers,
-	sizeof(net_db_peer),
-	sortPeerByRtt);
+    qsort((char *) n->peers, n->n_peers, sizeof(net_db_peer), sortPeerByRtt);
 #endif
 }
 
@@ -899,8 +879,7 @@
     struct in_addr addr;
     storeBuffer(s);
     httpReplyReset(reply);
-    httpReplySetHeaders(reply, 1.0, HTTP_OK, "OK",
-	NULL, -1, squid_curtime, -2);
+    httpReplySetHeaders(reply, 1.0, HTTP_OK, "OK", NULL, -1, squid_curtime, -2);
     httpReplySwapOut(reply, s);
     rec_sz = 0;
     rec_sz += 1 + sizeof(addr.s_addr);
@@ -958,7 +937,9 @@
     cbdataAdd(ex, cbdataXfree, 0);
     cbdataLock(p);
     ex->p = p;
-    uri = internalRemoteUri(p->host, p->http_port, "/squid-internal-dynamic/", "netdb");
+    uri =
+	internalRemoteUri(p->host, p->http_port, "/squid-internal-dynamic/",
+	"netdb");
     debug(38, 3) ("netdbExchangeStart: Requesting '%s'\n", uri);
     assert(NULL != uri);
     ex->r = urlParse(METHOD_GET, uri);
Index: squid/src/pconn.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/pconn.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/src/pconn.c	6 Jan 2001 12:40:15 -0000	1.1.1.2.4.1.2.1
+++ squid/src/pconn.c	27 Aug 2001 21:48:21 -0000	1.1.1.2.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: pconn.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:15 hno Exp $
+ * $Id: pconn.c,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 48    Persistent Connections
  * AUTHOR: Duane Wessels
@@ -35,7 +34,8 @@
 #define PCONN_C
 #include "squid.h"
 
-struct _pconn {
+struct _pconn
+{
     char *key;
     struct _pconn *next;
     int *fds;
@@ -120,11 +120,7 @@
     int n;
     assert(table != NULL);
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    n = recv(fd, buf, 256);
-#else
     n = read(fd, buf, 256);
-#endif
     debug(48, 3) ("pconnRead: %d bytes from FD %d, %s\n", n, fd, p->key);
     pconnRemoveFD(p, fd);
     comm_close(fd);
@@ -136,10 +132,7 @@
     int i;
     storeAppendPrintf(e,
 	"Client-side persistent connection counts:\n"
-	"\n"
-	"\treq/\n"
-	"\tconn      count\n"
-	"\t----  ---------\n");
+	"\n" "\treq/\n" "\tconn      count\n" "\t----  ---------\n");
     for (i = 0; i < PCONN_HIST_SZ; i++) {
 	if (client_pconn_hist[i] == 0)
 	    continue;
@@ -148,10 +141,7 @@
     storeAppendPrintf(e,
 	"\n"
 	"Server-side persistent connection counts:\n"
-	"\n"
-	"\treq/\n"
-	"\tconn      count\n"
-	"\t----  ---------\n");
+	"\n" "\treq/\n" "\tconn      count\n" "\t----  ---------\n");
     for (i = 0; i < PCONN_HIST_SZ; i++) {
 	if (server_pconn_hist[i] == 0)
 	    continue;
@@ -173,8 +163,7 @@
 	server_pconn_hist[i] = 0;
     }
     cachemgrRegister("pconn",
-	"Persistent Connection Utilization Histograms",
-	pconnHistDump, 0, 1);
+	"Persistent Connection Utilization Histograms", pconnHistDump, 0, 1);
     debug(48, 3) ("persistent connection module initialized\n");
 }
 
@@ -248,4 +237,4 @@
     else
 	assert(0);
 }
-#undef PCONN_C
\ No newline at end of file
+#undef PCONN_C
Index: squid/src/peer_digest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/peer_digest.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/peer_digest.c	6 Jan 2001 12:40:15 -0000	1.1.1.3.4.1.2.1
+++ squid/src/peer_digest.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: peer_digest.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:15 hno Exp $
+ * $Id: peer_digest.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 72    Peer Digest Routines
  * AUTHOR: Alex Rousskov
@@ -50,11 +49,16 @@
 static STCB peerDigestSwapInHeaders;
 static STCB peerDigestSwapInCBlock;
 static STCB peerDigestSwapInMask;
-static int peerDigestFetchedEnough(DigestFetchState * fetch, char *buf, ssize_t size, const char *step_name);
-static void peerDigestFetchStop(DigestFetchState * fetch, char *buf, const char *reason);
-static void peerDigestFetchAbort(DigestFetchState * fetch, char *buf, const char *reason);
-static void peerDigestReqFinish(DigestFetchState * fetch, char *buf, int, int, int, const char *reason, int err);
-static void peerDigestPDFinish(DigestFetchState * fetch, int pcb_valid, int err);
+static int peerDigestFetchedEnough(DigestFetchState * fetch, char *buf,
+    ssize_t size, const char *step_name);
+static void peerDigestFetchStop(DigestFetchState * fetch, char *buf,
+    const char *reason);
+static void peerDigestFetchAbort(DigestFetchState * fetch, char *buf,
+    const char *reason);
+static void peerDigestReqFinish(DigestFetchState * fetch, char *buf, int, int,
+    int, const char *reason, int err);
+static void peerDigestPDFinish(DigestFetchState * fetch, int pcb_valid,
+    int err);
 static void peerDigestFetchFinish(DigestFetchState * fetch, int err);
 static void peerDigestFetchSetStats(DigestFetchState * fetch);
 static int peerDigestSetCBlock(PeerDigest * pd, const char *buf);
@@ -168,8 +172,7 @@
 peerDigestIncDelay(const PeerDigest * pd)
 {
     assert(pd);
-    return pd->times.retry_delay > 0 ?
-	2 * pd->times.retry_delay :	/* exponential backoff */
+    return pd->times.retry_delay > 0 ? 2 * pd->times.retry_delay :	/* exponential backoff */
 	PeerDigestReqMinGap;	/* minimal delay */
 }
 
@@ -232,9 +235,11 @@
 	peerDigestNotePeerGone(pd);
 	return;
     }
-    debug(72, 3) ("peerDigestCheck: peer %s:%d\n", pd->peer->host, pd->peer->http_port);
+    debug(72, 3) ("peerDigestCheck: peer %s:%d\n", pd->peer->host,
+	pd->peer->http_port);
     debug(72, 3) ("peerDigestCheck: time: %d, last received: %d (%+d)\n",
-	squid_curtime, pd->times.received, (squid_curtime - pd->times.received));
+	squid_curtime, pd->times.received,
+	(squid_curtime - pd->times.received));
 
     /* decide when we should send the request:
      * request now unless too close to other requests */
@@ -242,16 +247,19 @@
 
     /* per-peer limit */
     if (req_time - pd->times.received < PeerDigestReqMinGap) {
-	debug(72, 2) ("peerDigestCheck: %s, avoiding close peer requests (%d < %d secs).\n",
+	debug(72, 2)
+
+	    
+	    ("peerDigestCheck: %s, avoiding close peer requests (%d < %d secs).\n",
 	    strBuf(pd->host), req_time - pd->times.received,
 	    PeerDigestReqMinGap);
 	req_time = pd->times.received + PeerDigestReqMinGap;
     }
     /* global limit */
     if (req_time - pd_last_req_time < GlobDigestReqMinGap) {
-	debug(72, 2) ("peerDigestCheck: %s, avoiding close requests (%d < %d secs).\n",
-	    strBuf(pd->host), req_time - pd_last_req_time,
-	    GlobDigestReqMinGap);
+	debug(72, 2)
+	    ("peerDigestCheck: %s, avoiding close requests (%d < %d secs).\n",
+	    strBuf(pd->host), req_time - pd_last_req_time, GlobDigestReqMinGap);
 	req_time = pd_last_req_time + GlobDigestReqMinGap;
     }
     if (req_time <= squid_curtime)
@@ -349,9 +357,10 @@
 	assert(reply);
 	httpReplyParse(reply, buf, hdr_size);
 	status = reply->sline.status;
-	debug(72, 3) ("peerDigestFetchReply: %s status: %d, expires: %d (%+d)\n",
-	    strBuf(pd->host), status,
-	    reply->expires, reply->expires - squid_curtime);
+	debug(72,
+	    3) ("peerDigestFetchReply: %s status: %d, expires: %d (%+d)\n",
+	    strBuf(pd->host), status, reply->expires,
+	    reply->expires - squid_curtime);
 
 	/* this "if" is based on clientHandleIMSReply() */
 	if (status == HTTP_NOT_MODIFIED) {
@@ -362,7 +371,8 @@
 		fetch->old_entry->mem_obj->request = r =
 		    requestLink(fetch->entry->mem_obj->request);
 	    assert(fetch->old_entry->mem_obj->request);
-	    httpReplyUpdateOnNotModified(fetch->old_entry->mem_obj->reply, reply);
+	    httpReplyUpdateOnNotModified(fetch->old_entry->mem_obj->reply,
+		reply);
 	    storeTimestampsSet(fetch->old_entry);
 	    /* get rid of 304 reply */
 	    storeUnregister(fetch->entry, fetch);
@@ -375,7 +385,8 @@
 	} else if (status == HTTP_OK) {
 	    /* get rid of old entry if any */
 	    if (fetch->old_entry) {
-		debug(72, 3) ("peerDigestFetchReply: got new digest, releasing old one\n");
+		debug(72, 3)
+		    ("peerDigestFetchReply: got new digest, releasing old one\n");
 		storeUnregister(fetch->old_entry, fetch);
 		storeReleaseRequest(fetch->old_entry);
 		storeUnlockObject(fetch->old_entry);
@@ -383,7 +394,8 @@
 	    }
 	} else {
 	    /* some kind of a bug */
-	    peerDigestFetchAbort(fetch, buf, httpStatusLineReason(&reply->sline));
+	    peerDigestFetchAbort(fetch, buf,
+		httpStatusLineReason(&reply->sline));
 	    return;
 	}
 	/* must have a ready-to-use store entry if we got here */
@@ -420,14 +432,14 @@
 	    httpReplyParse(fetch->entry->mem_obj->reply, buf, hdr_size);
 	if (fetch->entry->mem_obj->reply->sline.status != HTTP_OK) {
 	    debug(72, 1) ("peerDigestSwapInHeaders: %s status %d got cached!\n",
-		strBuf(fetch->pd->host), fetch->entry->mem_obj->reply->sline.status);
+		strBuf(fetch->pd->host),
+		fetch->entry->mem_obj->reply->sline.status);
 	    peerDigestFetchAbort(fetch, buf, "internal status error");
 	    return;
 	}
 	fetch->offset += hdr_size;
 	storeClientCopy(fetch->entry, size, fetch->offset,
-	    SM_PAGE_SIZE, buf,
-	    peerDigestSwapInCBlock, fetch);
+	    SM_PAGE_SIZE, buf, peerDigestSwapInCBlock, fetch);
     } else {
 	/* need more data, do we have space? */
 	if (size >= SM_PAGE_SIZE)
@@ -462,9 +474,7 @@
 	    storeClientCopy(fetch->entry,
 		seen,
 		fetch->offset,
-		pd->cd->mask_size,
-		pd->cd->mask,
-		peerDigestSwapInMask, fetch);
+		pd->cd->mask_size, pd->cd->mask, peerDigestSwapInMask, fetch);
 	} else {
 	    peerDigestFetchAbort(fetch, buf, "invalid digest cblock");
 	}
@@ -505,13 +515,13 @@
 	    fetch->offset,
 	    fetch->offset,
 	    buf_sz,
-	    pd->cd->mask + fetch->mask_offset,
-	    peerDigestSwapInMask, fetch);
+	    pd->cd->mask + fetch->mask_offset, peerDigestSwapInMask, fetch);
     }
 }
 
 static int
-peerDigestFetchedEnough(DigestFetchState * fetch, char *buf, ssize_t size, const char *step_name)
+peerDigestFetchedEnough(DigestFetchState * fetch, char *buf, ssize_t size,
+    const char *step_name)
 {
     PeerDigest *pd = NULL;
     const char *host = "<unknown>";	/* peer host */
@@ -599,8 +609,7 @@
 /* complete the digest transfer, update stats, unlock/release everything */
 static void
 peerDigestReqFinish(DigestFetchState * fetch, char *buf,
-    int fcb_valid, int pdcb_valid, int pcb_valid,
-    const char *reason, int err)
+    int fcb_valid, int pdcb_valid, int pcb_valid, const char *reason, int err)
 {
     assert(reason);
 
@@ -649,8 +658,7 @@
 
     if (err) {
 	debug(72, 1) ("%sdisabling (%s) digest from %s\n",
-	    pcb_valid ? "temporary " : "",
-	    pd->req_result, host);
+	    pcb_valid ? "temporary " : "", pd->req_result, host);
 
 	if (pd->cd) {
 	    cacheDigestDestroy(pd->cd);
@@ -772,9 +780,12 @@
 	return 0;
     }
     /* check consistency further */
-    if (cblock.mask_size != cacheDigestCalcMaskSize(cblock.capacity, cblock.bits_per_entry)) {
-	debug(72, 0) ("%s digest cblock is corrupted (mask size mismatch: %d ? %d).\n",
-	    host, cblock.mask_size, cacheDigestCalcMaskSize(cblock.capacity, cblock.bits_per_entry));
+    if (cblock.mask_size != cacheDigestCalcMaskSize(cblock.capacity,
+	    cblock.bits_per_entry)) {
+	debug(72, 0)
+	    ("%s digest cblock is corrupted (mask size mismatch: %d ? %d).\n",
+	    host, cblock.mask_size, cacheDigestCalcMaskSize(cblock.capacity,
+		cblock.bits_per_entry));
 	return 0;
     }
     /* there are some things we cannot do yet */
@@ -843,7 +854,8 @@
 
     cacheDigestGuessStatsReport(&pd->stats.guess, e, host);
 
-    storeAppendPrintf(e, "\nevent\t timestamp\t secs from now\t secs from init\n");
+    storeAppendPrintf(e,
+	"\nevent\t timestamp\t secs from now\t secs from init\n");
     appendTime(initialized);
     appendTime(needed);
     appendTime(requested);
